Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultIndicationType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultIndicationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:51:51+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultIndicationType

extends Object
implements Serializable

Java class for ConsultIndicationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultIndicationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SnomedCT" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultIndicationType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`String` | `getDescription()` Gets the value of the description property.
`String` | `getSnomedCT()` Gets the value of the snomedCT property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setSnomedCT(String value)` Sets the value of the snomedCT property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultIndicationType

    public ConsultIndicationType()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getSnomedCT

    public String getSnomedCT()

  Gets the value of the snomedCT property.

  Returns:
    possible object is `String`

### setSnomedCT

    public void setSnomedCT(String value)

  Sets the value of the snomedCT property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.